Index: CHANGELOG
===================================================================
--- CHANGELOG	(revision 2898)
+++ CHANGELOG	(revision 2879)
@@ -1,8 +1,2 @@
-Dotclear 2.7.3 - 2015-01-06
-===========================================================
-* Restore advanced edition of category description (as in 2.6)
-* Various bug fixes
-* Some cosmetic adjustments
-
 Dotclear 2.7.2 - 2014-12-25
 ===========================================================
Index: Makefile
===================================================================
--- Makefile	(revision 2801)
+++ Makefile	(revision 2896)
@@ -67,4 +67,5 @@
 	find ./$(DIST)/ -type d -name '.git' | xargs -r rm -rf
 	find ./$(DIST)/ -type f -name '.*ignore' | xargs -r rm -rf
+	find ./$(DIST)/ -type f -name '.flow' | xargs -r rm -rf
 
 	## Create digest
Index: admin/category.php
===================================================================
--- admin/category.php	(revision 2891)
+++ admin/category.php	(revision 2852)
@@ -174,10 +174,8 @@
 $elements[$title] = '';
 
-$category_editor = $core->auth->getOption('editor');
-
 dcPage::open($title,
 	dcPage::jsConfirmClose('category-form').
-	dcPage::jsLoad('js/_category.js').
-	$core->callBehavior('adminPostEditor',$category_editor['xhtml'],'category',array('#cat_desc')),
+	dcPage::jsLoad('js/_category.js'),
+	$core->callBehavior('adminPostEditor').
 	dcPage::breadcrumb($elements)
 );
Index: admin/js/_category.js
===================================================================
--- admin/js/_category.js	(revision 2891)
+++ admin/js/_category.js	(revision 2614)
@@ -2,5 +2,5 @@
 	dotclear.hideLockable();
 
-	if ($.isFunction(jsToolBar)) {
+	if ($.isFunction('jsToolBar')) {
 		var tbCategory = new jsToolBar(document.getElementById('cat_desc'));
 		tbCategory.draw('xhtml');
Index: admin/media.php
===================================================================
--- admin/media.php	(revision 2889)
+++ admin/media.php	(revision 2873)
@@ -17,5 +17,5 @@
 dcPage::check('media,media_admin');
 
-$post_id = !empty($_REQUEST['post_id']) ? (integer) $_REQUEST['post_id'] : null;
+$post_id = !empty($_GET['post_id']) ? (integer) $_GET['post_id'] : null;
 if ($post_id) {
 	$post = $core->blog->getPosts(array('post_id'=>$post_id,'post_type'=>''));
@@ -73,5 +73,5 @@
 }
 
-$popup = (integer) !empty($_REQUEST['popup']);
+$popup = (integer) !empty($_GET['popup']);
 
 $page_url_params = new ArrayObject(array('popup' => $popup,'post_id' => $post_id));
@@ -616,5 +616,5 @@
 	}
 	$res =
-	'<div class="'.$class.'"><p><a class="media-icon media-link" href="'.rawurldecode($link).'">'.
+	'<div class="'.$class.'"><p><a class="media-icon media-link" href="'.$link.'">'.
 	'<img src="'.$f->media_icon.'" alt="" />'.$fname.'</a></p>';
 
Index: admin/media_item.php
===================================================================
--- admin/media_item.php	(revision 2889)
+++ admin/media_item.php	(revision 2872)
@@ -17,5 +17,5 @@
 $tab = empty($_REQUEST['tab']) ? '' : $_REQUEST['tab'];
 
-$post_id = !empty($_REQUEST['post_id']) ? (integer) $_REQUEST['post_id'] : null;
+$post_id = !empty($_GET['post_id']) ? (integer) $_GET['post_id'] : null;
 if ($post_id) {
 	$post = $core->blog->getPosts(array('post_id'=>$post_id));
@@ -28,5 +28,5 @@
 
 $file = null;
-$popup = (integer) !empty($_REQUEST['popup']);
+$popup = (integer) !empty($_GET['popup']);
 $plugin_id = isset($_REQUEST['plugin_id']) ? html::sanitizeURL($_REQUEST['plugin_id']) : '';
 $page_url_params = array('popup' => $popup,'post_id' => $post_id);
Index: admin/preferences.php
===================================================================
--- admin/preferences.php	(revision 2853)
+++ admin/preferences.php	(revision 2899)
@@ -352,26 +352,4 @@
 );
 
-if (!empty($_GET['upd'])) {
-	dcPage::success(__('Personal information has been successfully updated.'));
-}
-if (!empty($_GET['updated'])) {
-	dcPage::success(__('Personal options has been successfully updated.'));
-}
-if (!empty($_GET['db-updated'])) {
-	dcPage::success(__('Dashboard options has been successfully updated.'));
-}
-if (!empty($_GET['append'])) {
-	dcPage::success(__('Favorites have been successfully added.'));
-}
-if (!empty($_GET['neworder'])) {
-	dcPage::success(__('Favorites have been successfully updated.'));
-}
-if (!empty($_GET['removed'])) {
-	dcPage::success(__('Favorites have been successfully removed.'));
-}
-if (!empty($_GET['replaced'])) {
-	dcPage::success(__('Default favorites have been successfully updated.'));
-}
-
 # User profile
 echo '<div class="multi-part" id="user-profile" title="'.__('My profile').'">';
Index: inc/admin/actions/class.dcaction.php
===================================================================
--- inc/admin/actions/class.dcaction.php	(revision 2888)
+++ inc/admin/actions/class.dcaction.php	(revision 2566)
@@ -223,5 +223,5 @@
 		foreach ($this->redirect_fields as $p) {
 			if (isset($from[$p])) {
-				$this->redir_args[$p] = $from[$p];
+				$redir_args[$p] = $from[$p];
 			}
 		}
Index: inc/prepend.php
===================================================================
--- inc/prepend.php	(revision 2884)
+++ inc/prepend.php	(revision 2883)
@@ -140,5 +140,5 @@
 # Constants
 define('DC_ROOT',path::real(dirname(__FILE__).'/..'));
-define('DC_VERSION','2.7.3');
+define('DC_VERSION','2.8-dev');
 define('DC_DIGESTS',dirname(__FILE__).'/digests');
 define('DC_L10N_ROOT',dirname(__FILE__).'/../locales');
Index: inc/public/class.dc.template.php
===================================================================
--- inc/public/class.dc.template.php	(revision 2886)
+++ inc/public/class.dc.template.php	(revision 2864)
@@ -1118,12 +1118,11 @@
 				// nb of entries per page specified in template -> regular pagination
 				$p .= "\$params['limit'] = ".$lastn.";\n";
-				$p .= "\$nb_entry_first_page = \$nb_entry_per_page = ".$lastn.";\n";
+				$p .= "\$_ctx->nb_entry_first_page = \$_ctx->nb_entry_per_page = ".$lastn.";\n";
 			} else {
 				// nb of entries per page not specified -> use ctx settings
-				$p .= "\$nb_entry_first_page=\$_ctx->nb_entry_first_page; \$nb_entry_per_page = \$_ctx->nb_entry_per_page;\n";
 				$p .= "if ((\$core->url->type == 'default') || (\$core->url->type == 'default-page')) {\n";
-				$p .= "    \$params['limit'] = (\$_page_number == 1 ? \$nb_entry_first_page : \$nb_entry_per_page);\n";
+				$p .= "    \$params['limit'] = (\$_page_number == 1 ? \$_ctx->nb_entry_first_page : \$_ctx->nb_entry_per_page);\n";
 				$p .= "} else {\n";
-				$p .= "    \$params['limit'] = \$nb_entry_per_page;\n";
+				$p .= "    \$params['limit'] = \$_ctx->nb_entry_per_page;\n";
 				$p .= "}\n";
 			}
@@ -1132,7 +1131,7 @@
 				// standard pagination, set offset
 				$p .= "if ((\$core->url->type == 'default') || (\$core->url->type == 'default-page')) {\n";
-				$p .= "    \$params['limit'] = array((\$_page_number == 1 ? 0 : (\$_page_number - 2) * \$nb_entry_per_page + \$nb_entry_first_page),\$params['limit']);\n";
+				$p .= "    \$params['limit'] = array((\$_page_number == 1 ? 0 : (\$_page_number - 2) * \$_ctx->nb_entry_per_page + \$_ctx->nb_entry_first_page),\$params['limit']);\n";
 				$p .= "} else {\n";
-				$p .= "    \$params['limit'] = array((\$_page_number - 1) * \$nb_entry_per_page,\$params['limit']);\n";
+				$p .= "    \$params['limit'] = array((\$_page_number - 1) * \$_ctx->nb_entry_per_page,\$params['limit']);\n";
 				$p .= "}\n";
 			} else {
Index: plugins/dcCKEditor/_define.php
===================================================================
--- plugins/dcCKEditor/_define.php	(revision 2894)
+++ plugins/dcCKEditor/_define.php	(revision 2854)
@@ -17,7 +17,5 @@
 	/* Author */			"dotclear Team",
 	/* Version */			"0.9.0",
-	array(
-		'permissions' =>	'usage,contentadmin',
-		'type'		=>		'plugin'
-	)
+	/* Permissions */	    "usage,contentadmin",
+	/* Properties */	    array('type' => 'plugin')
 );
Index: plugins/dcCKEditor/inc/dc.ckeditor.behaviors.php
===================================================================
--- plugins/dcCKEditor/inc/dc.ckeditor.behaviors.php	(revision 2893)
+++ plugins/dcCKEditor/inc/dc.ckeditor.behaviors.php	(revision 2869)
@@ -78,5 +78,5 @@
     public static function adminMediaURLParams($p) {
         if (!empty($_GET['editor'])) {
-            $p['editor'] = html::sanitizeURL($_GET['editor']);
+            $p['editor']=html::sanitiseURL($_GET['editor']);
         }
     }
Index: plugins/dcLegacyEditor/_define.php
===================================================================
--- plugins/dcLegacyEditor/_define.php	(revision 2894)
+++ plugins/dcLegacyEditor/_define.php	(revision 2878)
@@ -17,7 +17,5 @@
 	/* Author */			"dotclear Team",
 	/* Version */			'0.1.2',
-	array(
-		'permissions' =>	'usage,contentadmin',
-		'type'		=>		'plugin'
-	)
+	/* Permissions */	    "usage,contentadmin",
+	/* Properties */	    array('type' => 'plugin')
 );
Index: plugins/themeEditor/_define.php
===================================================================
--- plugins/themeEditor/_define.php	(revision 2663)
+++ plugins/themeEditor/_define.php	(revision 2890)
@@ -16,5 +16,5 @@
 	/* Description*/		"Theme Editor",
 	/* Author */			"Olivier Meunier",
-	/* Version */			'1.1',
+	/* Version */			'1.2',
 	array(
 		'type'		=>		'plugin'
Index: plugins/themeEditor/class.themeEditor.php
===================================================================
--- plugins/themeEditor/class.themeEditor.php	(revision 2862)
+++ plugins/themeEditor/class.themeEditor.php	(revision 2890)
@@ -20,4 +20,5 @@
 	protected $tplset_theme;
 
+	protected $parent_name;
 	protected $tplset_name;
 
@@ -38,4 +39,5 @@
 			if ($parent_theme) {
 				$this->parent_theme = path::real($this->core->blog->themes_path.'/'.$parent_theme);
+				$this->parent_name = $parent_theme;
 			}
 			$tplset = $this->core->themes->moduleInfo($this->core->blog->settings->system->theme,'tplset');
@@ -78,6 +80,8 @@
 			}
 			$list .= ($list_theme != '' ? sprintf('<li class="group-file">'.__('From theme:').'<ul>%s</ul></li>',$list_theme) : '');
-			$list .= ($list_parent != '' ? sprintf('<li class="group-file">'.__('From parent:').'<ul>%s</ul></li>',$list_parent) : '');
-			$list .= ($list_tpl != '' ? sprintf('<li class="group-file">'.__('From template set:').'<ul>%s</ul></li>',$list_tpl) : '');
+			$list .= ($list_parent != '' ? sprintf('<li class="group-file">'.__('From parent:').' %s<ul>%s</ul></li>',
+				$this->parent_name,$list_parent) : '');
+			$list .= ($list_tpl != '' ? sprintf('<li class="group-file">'.__('From template set:').' %s<ul>%s</ul></li>',
+				$this->tplset_name,$list_tpl) : '');
 		} else {
 			foreach ($files as $k => $v)
Index: themes/ductile/_prepend.php
===================================================================
--- themes/ductile/_prepend.php	(revision 2895)
+++ themes/ductile/_prepend.php	(revision 2567)
@@ -11,8 +11,4 @@
 
 if (!defined('DC_RC_PATH')) { return; }
-// public part below
-
-if (!defined('DC_CONTEXT_ADMIN')) { return false; }
-// admin part below
 
 # Behaviors
Index: themes/ductile/style.css
===================================================================
--- themes/ductile/style.css	(revision 2898)
+++ themes/ductile/style.css	(revision 2589)
@@ -259,5 +259,5 @@
 	6. BILLETS
 ------------------------------------------------------------- */
-div.post {
+.post {
 	background: transparent url(img/filet.png) repeat-x left bottom;
 	position: relative;
